scim::SlotNode Class Reference
SignalSlot

A node class for managing slots connected to scim::Signal's. More...

`#include <scim_signals.h>`

## Public Member Functions

bool | blocked () const
| Returns true if the slot is blocked.
virtual void | block ()
| Block signal emission to the slot until unblock is called.
virtual void | unblock ()
| Unblock the slot so signal emmissions can be received.
virtual void | disconnect ()
| Disconnect the slot. The slot will no longer receive signal emissions.
Public Member Functions inherited from scim::Node
Slot * | slot ()
| Returns a pointer to the slot held by this node.
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Friends

class | Signal

## Additional Inherited Members

Protected Member Functions inherited from scim::Node
| Node (Slot *slot)
| Constructor.
virtual | ~Node ()
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

A node class for managing slots connected to scim::Signal's.

## Member Function Documentation

## blocked()

bool scim::SlotNode::blocked | ( |  | ) | const

inline

Returns true if the slot is blocked.

## block()

virtual void scim::SlotNode::block | ( |  | ) |

virtual

Block signal emission to the slot until unblock is called.

Implements scim::Node.

## unblock()

virtual void scim::SlotNode::unblock | ( |  | ) |

virtual

Unblock the slot so signal emmissions can be received.

Implements scim::Node.

## disconnect()

virtual void scim::SlotNode::disconnect | ( |  | ) |

virtual

Disconnect the slot. The slot will no longer receive signal emissions.

Implements scim::Node.

## Friends And Related Symbol Documentation

## Signal

friend class Signal

friend

References Signal, and scim::Node::slot().

Referenced by Signal.

The documentation for this class was generated from the following file:

- scim_signals.h